%global momorel 5
%global srcname FreeMat

Summary: A free numerical computing environment similar to Matlab
Name:    freemat
Version: 3.6
Release: %{momorel}m%{?dist}
Group:   Applications/Engineering
License: GPL
URL:     http://freemat.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{srcname}-%{version}.tar.gz
NoSource: 0
Patch1: FreeMat-3.6-gcc43.patch
Patch2: FreeMat-3.6-no_llvm.patch
Requires: qt 
Requires: arpack 
Requires: ffcall
BuildRequires: qt-devel 
BuildRequires: arpack-devel 
BuildRequires: ffcall-devel
BuildRequires: portaudio-devel >= 19
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
FreeMat is a free environment for rapid engineering and scientific prototyping and data processing. It is similar to commercial systems such as MATLAB from Mathworks, and IDL from Research Systems, but is Open Source. FreeMat is available under the GPL license.

%prep
%setup -q -n %{srcname}-%{version}

%patch1 -p1 -b .gcc43~
%patch2 -p1 -b .no_llvm~

%build
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install transform='s,x,x,'
(cd %{buildroot}%{_bindir}
ln -s FreeMat freemat
)

## desktop
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=FreeMat
GenericName=FreeMat Numerical Computation Program
Comment=Numerical computation environment similar to MATLAB
Exec=FreeMat
Terminal=false
Type=Application
Icon=freemat.png
EOF
# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
    --add-category Science \
    --add-category Math \
    ./%{name}.desktop
# install icons
mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 644 images/freemat_small_mod_64.png %{buildroot}/%{_datadir}/pixmaps/freemat.png


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL ChangeLog AUTHORS COPYING NEWS
%{_bindir}/*
%{_datadir}/%{srcname}-%{version}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop

%changelog
* Thu Sep 18 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (3.6-5m)
- no use LLVM compiler

* Thu Jul 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6-4m)
- rebuild against portaudio-19

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6-3m)
- rebuild against openssl-0.9.8h-1m

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (3.6-2m)
- rebuild against qt-4.4.0-1m

* Fri Apr 18 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.6-1m)
- import to Momonga

